#pragma once

#include <glm/glm.hpp>

namespace kek {

class PlayerController {

  public:
	virtual ~PlayerController() = 0;

	virtual glm::vec3 move(glm::vec3 movement) = 0;
	virtual void update() = 0;
};

}
